Bug 1466557 - Compatibility Level also depends on vdsm version
Compatibility Level also depends on vdsm version
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
x86_64 Linux
high Severity high
: ovirt-4.1.6
: ---
Assigned To: Tomas Dosek
: 1466550 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2017-06-29 22:20 EDT by Germano Veit Michel
Modified: 2018-03-04 23:08 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-01-30 13:25:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 463903 None None None 2017-08-31 15:23 EDT

  None (edit)
Description Germano Veit Michel 2017-06-29 22:20:42 EDT
Description of problem:

The documentation[1] is a bit superficial stating that RHEL releases are directly related to supported cluster levels.

It can confuse customers while planning upgrades, resulting in unexpected extra steps to be taken.

For example, from the last table of [1]:

RHEL 7.2 is compatible with RHV 3.5, 3.6. 4.0.

This is incomplete information. RHEL 7.2 is the base OS for several releases of RHEV-H/RHV-H/RHEL-H. For example, based on RHEL 7.2 we have:

[A] RHVH-4.0-20161018.0-RHVH-x86_64
[B] rhev-hypervisor7-7.2-20161220.0
[C] rhev-hypervisor7-7.2-20160219.0

[A] uses vdsm 4.18 (CL 4.0)
[B] uses vdsm 4.17 (CL 3.6)
[C] uses vdsm 4.16 (CL 3.5)


[B] is not compatible with 4.0
[C] is not compatible with 3.6 and 4.0

And I'm afraid installing [A] on 3.5 will yield a wrong vds_type.

Therefore stating that 7.2 is compatible with 3.5, 3.6 and 4.0 is misleading, as we have at least 3 completely different images that are all 7.2 but ship with very different packages, especially the management agent (vdsm).

Another example:

7.3 is compatible with 3.6, 4.0 and 4.1. We have these images which are all based on 7.3:

[D] RHVH-4.1-20170616.0-RHVH-x86_64
[E] RHVH-4.0-20170308.0-RHVH-x86_64
[F] rhev-hypervisor7-7.3-20170615.0
[G] RHVH-3.6-20170618.1-RHVH-x86_64

[D] uses vdsm 4.19 (CL 4.1)
[E] uses vdsm 4.18 (CL 4.0)
[F] uses vdsm 4.17 (CL 3.6)
[G] uses vdsm 4.17 (CL 3.6)


[E] is not compatible with 4.1
[F] is not compatible with 4.0 and 4.1
[G] is not compatible with 4.0 and 4.1, although easy to upgrade (NGN)

Documentation[1] quote:

"...corresponding Red Hat Enterprise Linux release with the appropriate management agent installed." 

We need to clarify:
* what are appropriate versions?
* what is the package involved (vdsm)

Also note that [1] is missing Supported Compatibility Level 3.6 for RHEL 7.3.

[1] https://access.redhat.com/support/policy/updates/rhev
Comment 3 Marina 2017-06-30 17:09:03 EDT
*** Bug 1466550 has been marked as a duplicate of this bug. ***
Comment 5 Marina 2018-01-30 13:25:06 EST
Germano, I will close the bug for now, since the following changes has been made and we consider them sufficient at this point.

Life cycle has been made more clear.  Specifically see table under "Red Hat Hypervisor Upgrade and Support Policy" : https://access.redhat.com/support/policy/updates/rhev/

And for correlation between RHVH release and vdsm version, we should refer to package manifest guide: https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/package_manifest/

Note You need to log in before you can comment on or make changes to this bug.